> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List integration trigger filter options

> List one cursor-page of selectable values for an integration trigger filter field, with optional search.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/integrations/{integrationId}/triggers/{triggerName}/filter-options/{field}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/integrations/{integrationId}/triggers/{triggerName}/filter-options/{field}:
    get:
      tags:
        - Integrations
      summary: List integration trigger filter options
      description: >-
        List one cursor-page of selectable values for an integration trigger
        filter field, with optional search.
      operationId: listIntegrationTriggerFilterOptions
      parameters:
        - in: path
          name: integrationId
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: triggerName
          schema:
            type: string
            minLength: 1
            maxLength: 500
          required: true
        - in: path
          name: field
          schema:
            type: string
            minLength: 1
            maxLength: 200
          required: true
        - in: query
          name: cursor
          schema:
            type: string
            minLength: 1
            maxLength: 8192
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
        - in: query
          name: search
          schema:
            type: string
            minLength: 1
            maxLength: 200
      responses:
        '200':
          description: List integration trigger filter options
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        value:
                          type: string
                          maxLength: 500
                        label:
                          type: string
                          maxLength: 500
                      required:
                        - value
                        - label
                      additionalProperties: false
                    maxItems: 100
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    minLength: 1
                    maxLength: 8192
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Invalid request or missing organization information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: Provider authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: The caller cannot perform this operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Integration, trigger, or filter field not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Integration conflict or unsupported operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Integration operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: Integration provider operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '503':
          description: Requested integration capability is not configured
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '504':
          description: Integration provider operation timed out
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: >
            import Tembo from '@tembo-io/sdk';


            const client = new Tembo();


            const trigger = await
            client.integrations.triggers.listFilterOptions('field', {
              integrationId: '7c9e6679-7425-40de-944b-e07fc1f90ae7',
              triggerName: 'triggerName',
              limit: 50,
            });
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.